spring:
  application:
    name: legalconsenthub

  jpa:
    database-platform: org.hibernate.dialect.PostgreSQLDialect
    hibernate:
      ddl-auto: create
    show-sql: true
    properties:
      hibernate:
        format_sql: true
        jdbc:
          batch_size: 100
          order_inserts: true
          enable_lazy_load_no_trans: true

  liquibase:
    enabled: true
    drop-first: false
    change-log: classpath:/db/changelog/db.changelog-master.yaml
    default-schema: public

  sql:
    init:
      platform: postgresql

logging:
  level:
    org:
      springframework:
        security: TRACE
        oauth2: TRACE
        web: DEBUG
    org.testcontainers: INFO
    com.github.dockerjava: WARN
